> ## Documentation Index
> Fetch the complete documentation index at: https://docs.convocore.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify Twilio number webhooks

> Checks the configured voice/SMS webhooks on a Twilio phone number and re-applies the correct Convocore webhook URLs if they have drifted.

If something has changed the number's `voiceUrl` or `smsUrl` in the Twilio console (or Twilio re-provisioned it), this endpoint will re-apply the correct Convocore webhooks.

```bash theme={null}
curl -X POST "https://eu-gcp-api.vg-stuff.com/v3/utils/twilio/check-number" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "phoneNumberSid": "PNxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx", "isImportedNumber": false }'
```


## OpenAPI

````yaml POST /utils/twilio/check-number
openapi: 3.0.3
info:
  title: Convocore OpenAPI
  description: Full API reference for Convocore
  version: 1.0.4
servers:
  - url: https://eu-gcp-api.vg-stuff.com/v3
    description: EU Node.js API server
  - url: https://na-gcp-api.vg-stuff.com/v3
    description: NA Node.js API server
security: []
paths:
  /utils/twilio/check-number:
    post:
      tags:
        - Voices
      summary: Verify and repair a Twilio number's webhooks
      description: >-
        Checks the configured voice/SMS webhooks on a Twilio phone number and
        re-applies the correct Convocore webhook URLs if they have drifted.
      operationId: v2Audio-checkTwilioNumber
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                workspaceId:
                  type: string
                phoneNumberSid:
                  type: string
                isImportedNumber:
                  type: boolean
                  default: false
              required:
                - workspaceId
                - phoneNumberSid
              additionalProperties: false
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  isGood:
                    type: boolean
                required:
                  - isGood
                additionalProperties: false
        default:
          $ref: '#/components/responses/error'
      security:
        - Authorization: []
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````